List Transfer (beta)
List transfers using available filters and pagination. All transfers are returned in created_at descending order.
Query String Example
/v1/transfers/list?user_id=user_26l6ha8syVN8oqmaHaFShTxZ5RC&source=wallet_2CxAACd2h0dwzSlsqqyFLsJXCxW
Returns
A successful response returns a list of transfer objects that had been executed (failed and successful). All unconfirmed and expired transfers will be considered abandoned and will not be returned in the result.
Documentation Index
Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an App as the container.
Endpoints only accept App's Secret API keys other than certain endpoints that are used client side or via SDK that accept the public_token.
Authentication using App Api Key
Header:
Authorization: Bearer {api_key}Authenticated Request
curl \
-X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
-H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"Query Parameters
User ID to filter the transfers by.
Unique wallet ID transfers originate from.
Number of objects to return per response, must be between 10 to 100, defaults to 50.
Number of objects to offset as part of pagination.